# Automated Code Review

The section describes SaaS that provides automated code reviews.

## Codacy

[Codacy](https://www.codacy.com/) checks your code from style to security, duplication, complexity, and also integrates with coverage.
Codacy is free for open source, and it provides RuboCop analysis out-of-the-box.

## Code Climate

[Code Climate](https://codeclimate.com/) provides automated code review for test coverage, complexity, duplication, security, style, and more, and merge with confidence.

## CodeFactor

[CodeFactor](https://www.codefactor.io) reports various code metrics like duplication, churn, and problems for code style, performance, complexity, and many others. CodeFactor is free for open source. It supports analysis and auto-correction for RuboCop.

## Hound

[Hound](https://houndci.com/) comments on style violations in GitHub pull requests, allowing you and your team to better review and maintain a clean codebase.
It is open source software.

## Pronto

[Pronto](https://github.com/prontolabs/pronto) does quick automated code review of your changes. Created to be used on GitHub pull requests, but also works locally and integrates with GitLab and Bitbucket.

## Sider

[Sider](https://sider.review) improves your team's productivity by automating code analysis.
It supports Auto-correction.

## Awesome Code

[Awesome Code](https://awesomecode.io) improves your code readability by git push or sending pull requests, with one click or even fully automated. It's an online `rubocop -a` service.
